Skip to main content
POST

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

ID of the webhook endpoint.

Example:

"wh627c8640675de8fc689ab9d9"

Response

Successfully rotated the webhook endpoint secret.

id
string
required

Unique ID for the object.

Example:

"wh627c8640675de8fc689ab9d9"

url
string

The URL of the webhook endpoint.

Example:

"https://httpbin.org/anything?tag=api"

enabledEvents
string[]

The list of events to enable for this endpoint.

Example:
eventProperties
object[]

Optional configuration for event properties in webhook payloads. Specifies which properties should be included for specific event types. When enabledEvents contains contact.attributes_changed, this field is required and must contain at least one event property configuration for that event type.

Example:
description
string

An optional description of what the webhook is used for.

Example:

"My first webhook endpoint."

status
enum<string>

Webhook endpoint status.

  • active: Indicates that the webhook endpoint is active, and will receive notifications of events monitored.
  • disabled: Indicates that the webhook endpoint is disabled, and will not receive notifications.
  • pending: Indicates that the webhook endpoint is pending, and will not receive notifications. If a webhook endpoint fails to receive notifications frequently, it changes to pending.
Available options:
active,
disabled,
pending
secret
string

The endpoint's secret, used to generate webhook signatures.

Example:

"whsec_abc4147651944f02baf3be1eb45d33f1"

createTime
string<date-time>

The time at which this object was created, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.

Example:

"2022-06-01T12:00:00.000Z"

updateTime
string<date-time>

The time at which this object was updated, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.

Example:

"2022-06-01T12:00:00.000Z"